Package com.xebialabs.xlrelease.domain.distributed.events

# Class DistributedCommentUpdatedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.distributed.events.DistributedCommentUpdatedEvent

All Implemented Interfaces:
  `DistributedCommentEvent`, `DistributedXLReleaseEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class DistributedCommentUpdatedEvent extends Object implements DistributedCommentEvent, scala.Product, Serializable
Event published when a comment is updated on a task. param: taskId the identifier of the task with the changed comment param: commentId the identifier of the comment that was updated

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DistributedCommentUpdatedEvent(String taskId, String commentId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DistributedCommentUpdatedEvent`
  `apply(String taskId, String commentId)`
  `boolean`
  `canEqual(Object x$1)`
  `String`
  `commentId()`
  `DistributedCommentUpdatedEvent`
  `copy(String taskId, String commentId)`
  `String`
  `copy$default$1()`
  `String`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `taskId()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<String,String>>`
  `unapply(DistributedCommentUpdatedEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

  ### Methods inherited from interface com.xebialabs.xlrelease.domain.events.XLReleaseEvent

  `timeMs, timestamp`

- ## Constructor Details

  - ### DistributedCommentUpdatedEvent

    public DistributedCommentUpdatedEvent(String taskId, String commentId)

- ## Method Details

  - ### apply

    public static DistributedCommentUpdatedEvent apply(String taskId, String commentId)

  - ### unapply

    public static scala.Option<scala.Tuple2<String,String>> unapply(DistributedCommentUpdatedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### taskId

    public String taskId()
    Specified by:
      `taskId` in interface `DistributedCommentEvent`

  - ### commentId

    public String commentId()

  - ### copy

    public DistributedCommentUpdatedEvent copy(String taskId, String commentId)

  - ### copy$default$1

    public String copy$default$1()

  - ### copy$default$2

    public String copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`